<html><head>
	<title></title>
<style type="text/css">
	body{
		margin:50;
	}
	.input-area{
		display: flex;
		flex-direction: column;
		justify-content: center;
		align-items: center;
		height:30vh;
	}
	.input-box{
		width:200px;
	}
	#box{
		height:200px;
		width: 200px;
		background:red;
		margin:10vh auto;
	}
</style></head>

<body>
<div class="input-area">
  <div class="input-box">
  <label>Enter Horizontal value</label>
  <br>
  <input onchange="changeBoxShadow()" type="range" min="1" max="100" value="0" class="slider" id="hor">
  </div>
  <div class="input-box">

  <label>Enter Vertical value</label>
  <br>
  <input onchange="changeBoxShadow()" type="range" min="1" max="100" value="0" class="slider" id="ver">
</div>
  <div class="input-box">
  <label>Enter Spread Value</label>
  <br>
  <input onchange="changeBoxShadow()" type="range" min="1" max="100" value="0" class="slider" id="spread">
  </div>
  <div class="input-box">
  <label>Enter Blur value</label>
  <br>
  <input onchange="changeBoxShadow()" type="range" min="1" max="100" value="0" class="slider" id="blur">
		</div>
		<div class="input-box">
  <label>Enter color</label>
  <br>
  <input onchange="changeBoxShadow()" type="color" class="slider" id="color">
</div>
		<div class="input-box">
  <label>Enter Box color</label>
  <br>
  <input onchange="changeBoxShadow()" type="color" class="slider" id="boxColor">
</div>
</div>
<div id="box">
	
</div>



<script>
	let hor= document.getElementById('hor');
	let ver= document.getElementById('ver');
	let spread= document.getElementById('spread');
	let blur= document.getElementById('blur');
	let color= document.getElementById('color');
	let box= document.getElementById('box');
	let boxColor= document.getElementById('boxColor');

	function changeBoxShadow(){
		// console.log(`${hor.value}px ${ver.value}px ${blur.value}px ${spread.value}px`)
		box.style.background= boxColor.value;
		box.style.boxShadow= `${hor.value}px ${ver.value}px ${blur.value}px ${spread.value}px ${color.value}`;
		
	}
</script>
</body></html>